[Pkg-javascript-devel] Bug#780695: RFS: node-cli-table/0.3.1-1 [ITP]

2015-03-17 Thread Ross Gammon
release (Closes: #780342) * Patched example to find installed cli-table * Add a manual test using installed example Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers trusty-security APT policy: (990, 'trusty-security'), (900, 'trusty-updates'), (500

[Pkg-javascript-devel] Bug#780698: ITP: node-coffeeify -- browserify plugin for coffee-script

2015-03-17 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk * Package name: node-coffeeify Version : 1.0.0 Upstream Author : Johan Nordberg h...@johan-nordberg.com * URL : https://github.com/jnordberg/coffeeify * License : Expat Programming Lang

[Pkg-javascript-devel] Bug#780699: ITP: node-convert-source-map -- Converts a source-map between formats

2015-03-17 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk * Package name: node-convert-source-map Version : 1.0.0 Upstream Author : Thorsten Lorenz thlor...@gmx.de (http://thlorenz.com) * URL : https://github.com/thlorenz/convert-source-map * License

[Pkg-javascript-devel] Bug#780312: ITP: node-cross-spawn -- Cross platform drop-in replacement for spawn

2015-03-11 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk * Package name: node-cross-spawn Version : 0.2.6 Upstream Author : IndigoUnited he...@indigounited.com (http://indigounited.com) * URL : https://github.com/IndigoUnited/node-cross-spawn * License

[Pkg-javascript-devel] Bug#780357: ITP: node-browserify -- provides a nodejs type require() method in the browser

2015-03-12 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk * Package name: node-browserify Version : 9.0.3 Upstream Author : James Halliday m...@substack.net (http://substack.net) * URL : https://github.com/substack/node-browserify * License : Expat

[Pkg-javascript-devel] Bug#780360: RFS: node-cross-spawn/0.2.6-1 [ITP]

2015-03-12 Thread Ross Gammon
. Changes since the last upload: * Initial release (Closes: #780312) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers trusty-security APT policy: (990, 'trusty-security'), (900, 'trusty-updates'), (500, 'trusty'), (400, 'trusty-proposed'), (200, 'utopic

[Pkg-javascript-devel] Bug#780342: ITP: node-cli-table -- Pretty unicode tables for the CLI

2015-03-12 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk * Package name: node-cli-table Version : 0.3.1 Upstream Author : Guillermo Rauch guille...@learnboost.com * URL : https://github.com/Automattic/cli-table * License : FIX_ME upstream license

[Pkg-javascript-devel] Bug#779667: RFS: node-bluebird/2.9.13+dfsg-1 [ITP]

2015-03-03 Thread Ross Gammon
://anonscm.debian.org/cgit/pkg-javascript/node-bluebird.git Changes since the last upload: [ Ross Gammon ] * Initial release (Closes: #779305) * Repack tarball to exclude minified javascript without source * Document repacking of tarball in d/README.source * Add a libjs-bluebird package for the browser js

[Pkg-javascript-devel] node-builtins meta-package

2015-04-03 Thread Ross Gammon
Hi All, I was just working on the Browserify task [1] and started on an ITP for builtins [2]. Then I realised that there is actually no javascript in that package. Package.json references builtins.json [3], which has a long list of requires. What would people recommend we do here? Should I

[Pkg-javascript-devel] Bug#781701: RFS: node-convert-source-map/1.0.0-1 [ITP]

2015-04-01 Thread Ross Gammon
git://git.debian.org/pkg-javascript/node-convert-source-map.git --git-track '*' Changes since the last upload: * Initial release (Closes: #780699) Regards, Ross Gammon -- System Information: Debian Release: 8.0 APT prefers testing-updates APT policy: (500, 'testing-updates'), (500

[Pkg-javascript-devel] Bug#781763: RFS: node-coffeeify/1.0.0-1 [ITP]

2015-04-02 Thread Ross Gammon
since the last upload: * Initial release (Closes: #780698) * Patch index.js to use through2 instead of through Regards, Ross Gammon -- System Information: Debian Release: 8.0 APT prefers testing-updates APT policy: (500, 'testing-updates'), (500, 'testing') Architecture: amd64 (x86_64

[Pkg-javascript-devel] Bug#796359: ITP: node-typedarray -- TypedArray polyfill for old browsers

2015-08-21 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-typedarray Version : 0.0.6 Upstream Author : James Halliday m...@substack.net (http

[Pkg-javascript-devel] Bug#796355: ITP: node-readable-stream -- Streams3, a user-land copy of the stream library from iojs v2.x

2015-08-21 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-readable-stream Version : 2.0.2 Upstream Author : Streams WG Team christopher.s.dickin

[Pkg-javascript-devel] Bug#796353: ITP: node-os-shim -- Native OS module API shim for older node.js versions

2015-08-21 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-os-shim Version : 0.1.3 Upstream Author : Tomás to...@aparicio.me * URL

[Pkg-javascript-devel] Bug#796365: ITP: node-util-deprecate -- The Node.js `util.deprecate()` function with browser support

2015-08-21 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-util-deprecate Version : 1.0.1 Upstream Author : Nathan Rajlich nat...@tootallnate.net

[Pkg-javascript-devel] Bug#796351: ITP: node-concat-stream -- writable stream that concatenates

2015-08-21 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-concat-stream Version : 1.5.0 Upstream Author : Max Ogden m...@maxogden.com * URL

[Pkg-javascript-devel] Bug#796362: ITP: node-process-nextick-args -- process.nextTick but always with args

2015-08-21 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-process-nextick-args Version : 1.0.2 Upstream Author : Calvin Metcalf * URL

[Pkg-javascript-devel] Bug#796334: node-cross-spawn: New version 2.0.0 is available upsatream

2015-08-21 Thread Ross Gammon
Package: node-cross-spawn Version: 0.2.6-1 Severity: wishlist Dear Maintainer, A new version of node-cross-spawn (v2.0.0) is available upstream. Unfortunately, two new dependencies are now required that thee to be packaged first: node-cross-spawn-async node-spawn-sync I will file ITP bugs for

[Pkg-javascript-devel] Bug#796296: RFS: node-os-tmpdir/1.0.1-1 [ITP]

2015-08-21 Thread Ross Gammon
(Closes: #785462) Please note that I am now a DM. So after initial sponsorship, you could grant me upload rights once you are happy with my work on the package. Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates

[Pkg-javascript-devel] Bug#794345: RFS: node-coffeeify/1.1.0-1 [RC]

2015-08-01 Thread Ross Gammon
release * Fix node-convert-source-map dependency version (Closes: #793856) * Drop testsuite stanza as no longer required for autopkgtest Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid

Re: [Pkg-javascript-devel] OpenLayers 3

2015-08-01 Thread Ross Gammon
On 07/25/2015 12:00 PM, Ross Gammon wrote: On 07/12/2015 01:17 PM, Sebastiaan Couwenberg wrote: Ross Gammon packaged the following Node.js module, still in NEW too: node-cli-table node-coffeeify node-convert-source-map node-cross-spawn [...] I am now back from my vacation

[Pkg-javascript-devel] Bug#795114: ITP: node-inline-source-map -- base64 encoded source mappings for a generated file

2015-08-10 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon rossgam...@mail.dk * Package name: node-inline-source-map Version : 0.6.0 Upstream Author : Thorsten Lorenz thlor...@gmx.de (http://thlorenz.com) * URL : https://github.com/thlorenz/inline-source-map * License

Re: [Pkg-javascript-devel] OpenLayers 3

2015-07-25 Thread Ross Gammon
On 07/12/2015 01:17 PM, Sebastiaan Couwenberg wrote: Ross Gammon packaged the following Node.js module, still in NEW too: node-cli-table node-coffeeify node-convert-source-map node-cross-spawn I'm not sure if he want to give up on Node.js packaging too, but it's very likely since

[Pkg-javascript-devel] Bug#802603: RFS: node-defined/1.0.0-1 [ITP]

2015-10-21 Thread Ross Gammon
/ Changes since the last upload: * Initial release (Closes: #802595) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500, 'vivid'), (100, 'vivid-backports') Architecture: amd64

[Pkg-javascript-devel] Bug#804451: RFS: node-concat-stream/1.5.1-1 [ITP]

2015-11-08 Thread Ross Gammon
ode-concat-stream.git Changes since the last upload: * Initial release (Closes: #796351) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500, 'vivid'), (100, 'vivid-backports') Ar

[Pkg-javascript-devel] Bug#803979: RFS: node-string-decoder/0.10.25-1 [ITP]

2015-11-03 Thread Ross Gammon
ring-decoder.git Changes since the last upload: [ Bas Couwenberg ] * Initial release (Closes: #779998) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500, 'vivid'), (100,

Re: [Pkg-javascript-devel] Bug#742347: Bug#742347: tilemill vs mapbox studio?

2015-11-06 Thread Ross Gammon
On 11/05/2015 05:11 PM, Jérémy Lal wrote: > > > 2015-11-05 17:04 GMT+01:00 Bas Couwenberg >: > > On 2015-11-05 16:59, Antoine Beaupré wrote: > > On 2015-11-05 09:52:19, Bas Couwenberg wrote: > > The openstreetmap-carto

[Pkg-javascript-devel] Bug#742347: Fwd: Re: Bug#742347: Bug#742347: tilemill vs mapbox studio?

2015-11-06 Thread Ross Gammon
: Fri, 6 Nov 2015 15:57:58 +0100 From: Ross Gammon <r...@the-gammons.net> To: pkg-javascript-devel@lists.alioth.debian.org On 11/05/2015 05:11 PM, Jérémy Lal wrote: > > > 2015-11-05 17:04 GMT+01:00 Bas Couwenberg <sebas...@xs4all.nl > <mailto:sebas...@xs4all.nl>>

[Pkg-javascript-devel] Bug#802008: ITP: node-seq -- Chainable asynchronous flow control

2015-10-16 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon <rossgam...@mail.dk> * Package name: node-seq Version : 0.3.5 Upstream Author : James Halliday <m...@substack.net> (http://substack.net) * URL : https://github.com/substack/node-seq * License

[Pkg-javascript-devel] Bug#802012: ITP: node-isstream -- Determine if an object is a Stream

2015-10-16 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon <rossgam...@mail.dk> * Package name: node-isstream Version : 0.1.2 Upstream Author : Rod Vagg <r...@vagg.org> * URL : https://github.com/rvagg/isstream * License : Expat Programming Lang

[Pkg-javascript-devel] Bug#802518: ITP: node-deep-equal -- node's assert.deepEqual algorithm

2015-10-20 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon <rossgam...@mail.dk> * Package name: node-deep-equal Version : 1.0.1 Upstream Author : James Halliday <m...@substack.net> (http://substack.net) * URL : https://github.com/substack/node-deep-equal#read

[Pkg-javascript-devel] Bug#802516: RFS: node-util-deprecate/1.0.2-1

2015-10-20 Thread Ross Gammon
ian.org/cgit/pkg-javascript/node-util-deprecate.git/ Changes since the last upload: * New upstream release Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500, 'vivid'), (100,

[Pkg-javascript-devel] Bug#802529: RFS: node-deep-equal/1.0.1-1 [ITP]

2015-10-20 Thread Ross Gammon
e-deep-equal.git Changes since the last upload: * Initial release (Closes: #802518) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500, 'vivid'), (100, 'vivid-backports') Arc

[Pkg-javascript-devel] Bug#801452: RFS: node-core-util-is/1.0.1-1 [ITP]

2015-10-10 Thread Ross Gammon
core-util-is.git Changes since the last upload: [ Bas Couwenberg ] * Initial release (Closes: #780002) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500, 'vivid'), (100,

[Pkg-javascript-devel] Bug#742347: Bug#742347: Fwd: Re: Bug#742347: Bug#742347: tilemill vs mapbox studio?

2015-11-17 Thread Ross Gammon
On 11/06/2015 04:16 PM, Ross Gammon wrote: > I will do an ITP & create a task page over the weekend. But please jump > in when/if any of you like. My current work rate is not very high (one > package every other day). Sorry it took so long. I had problems with creating the Task

[Pkg-javascript-devel] Bug#798275: npm2deb: Priority in debian/control should be optional not extra

2015-09-07 Thread Ross Gammon
Package: npm2deb Version: 0.2.2-1 Severity: normal Dear Leo, The priority in Debian packages should normally be optional unless you have good reason to have extra: https://www.debian.org/doc/debian-policy/ch-archive.html#s-priorities Although I should check this before sponsoring/upload, I

[Pkg-javascript-devel] Bug#798861: RFS: node-process-nextick-args/1.0.3-1 [ITP]

2015-09-13 Thread Ross Gammon
tory: http://anonscm.debian.org/cgit/pkg-javascript/node-process-nextick-args.git Changes since the last upload: * Initial release (Closes: #796362) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivi

[Pkg-javascript-devel] Bug#799900: RFS: node-cross-spawn-async/2.0.0-1 [ITP]

2015-09-23 Thread Ross Gammon
ian.org/cgit/pkg-javascript/node-cross-spawn-async.git Changes since the last upload: * Initial release (Closes: #796337) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers vivid-updates APT policy: (500, 'vivid-updates'), (500, 'vivid-security'), (500,

[Pkg-javascript-devel] Bug#809499: RFP: node-es6ify -- browserify v2 transform to compile ES6 to ES5 on the fly

2015-12-31 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-es6ify Version : 1.6.0 Upstream Author : Thorsten Lorenz [http://thlorenz.com/] * URL : https://thlorenz.github.io/es6ify/ * License : Expat Programming Lang: Javacript Description : browserify v2

[Pkg-javascript-devel] Bug#809493: RFP: node-browser-unpack -- parse a bundle generated by browser-pack

2015-12-31 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-browser-unpack Version : 1.1.1 Upstream Author : James Halliday * URL : https://github.com/substack/browser-unpack * License : Expat Programming Lang: Javascript Description :

[Pkg-javascript-devel] Bug#808823: RFS: node-cross-spawn-async/2.1.1-1

2015-12-23 Thread Ross Gammon
ian.org/cgit/pkg-javascript/node-cross-spawn-async.git Changes since the last upload: * New upstream release * Refresh patches * Add node-rimraf build dependency for tests & patch the new test Regards, Ross Gammon -- System Information: Debian Release: 8.2 APT prefers stable APT p

[Pkg-javascript-devel] Bug#808354: RFS: node-core-util-is/1.0.2-1

2015-12-18 Thread Ross Gammon
t/node-core-util-is.git Changes since the last upload: * New upstream release * Update copyright due to new LICENSE file added upstream * Use https for Vcs Browser URL * Enable new tests provided by upstream * Patch upstream test to require assert instead of tap * Unapply patches from sourc

[Pkg-javascript-devel] Bug#809401: RFS: node-isarray/1.0.0-1

2015-12-30 Thread Ross Gammon
t Changes since the last upload: * New upstream release * Override dh_auto_build & test targets Regards, Ross Gammon -- System Information: Debian Release: 8.2 APT prefers stable APT policy: (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU

[Pkg-javascript-devel] Bug#809407: RFS: node-isstream/0.1.2+dfsg-1 [ITP]

2015-12-30 Thread Ross Gammon
the last upload: * Initial release (Closes: #802012) * Patch README.md to fix spelling Regards, Ross Gammon -- System Information: Debian Release: 8.2 APT prefers stable APT policy: (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores) Locale: LANG=en_GB

[Pkg-javascript-devel] Bug#802224: Latest node-source-map now needs webpack

2015-11-23 Thread Ross Gammon
Hi, I checked with Leo if he would be okay with me doing the update of node-source-map, and he was. But unfortunately, whilst the current version uses a makefile to build, the latest upstream needs webpack to build, which has not yet been packaged. I will do an RFP/ITP soon. Regards, Ross

[Pkg-javascript-devel] Bug#805411: Subject: RFP: node-js-yaml -- YAML 1.2 parser and serializer

2015-11-17 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon <rossgam...@mail.dk> X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-js-yaml Version : 3.4.3 Upstream Author : Dervus Grim <dervus.g...@gmail.c

[Pkg-javascript-devel] Bug#805413: Subject: RFP: node-json-localizer -- Utility to localize a json object

2015-11-17 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon <rossgam...@mail.dk> X-Debbugs-CC: debian-de...@lists.debian.org X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-json-localizer Version : 0.0.3 Upstream Author : Yohan Boniface

[Pkg-javascript-devel] Bug#805415: RFP: node-leaflet-formbuilder -- Helpers to build forms in Leaflet

2015-11-17 Thread Ross Gammon
Package: wnpp Severity: wishlist Owner: Ross Gammon <rossgam...@mail.dk> X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-leaflet-formbuilder Version : 0.2.1 Upstream Author : Yohan Boniface * URL : https://github.com/yohanbo

[Pkg-javascript-devel] Bug#814284: RFP: node-object-inspect -- string representations of objects in node and the browser

2016-02-09 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-object-inspect Version : 1.1.0 Upstream Author : James Halliday (http://substack.net) * URL : https://github.com/substack/object-inspect * License : Expat Programming Lang: JavaScript

[Pkg-javascript-devel] Bug#814286: RFP: node-resumer -- a through stream that starts paused and resumes on the next tick

2016-02-09 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-resumer Version : 0.0.0 Upstream Author : James Halliday (http://substack.net) * URL : https://github.com/substack/resumer * License : Expat Programming Lang: JavaScript Description

[Pkg-javascript-devel] Bug#814283: RFP: node-has -- Object.prototype.hasOwnProperty.call shortcut

2016-02-09 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-has Version : 1.0.1 Upstream Author : Thiago de Arruda * URL : https://github.com/tarruda/has * License : Expat Programming Lang: JavaScript Description :

[Pkg-javascript-devel] Bug#814281: RFP: node-function-bind -- Implementation of Function.prototype.bind

2016-02-09 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-function-bind Version : 1.0.2 Upstream Author : Raynos * URL : https://github.com/Raynos/function-bind * License : Expat Programming Lang: JavaScript Description : Implementation

[Pkg-javascript-devel] Bug#816194: RFP: node-covert -- code coverage command for javascript

2016-02-28 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-covert Version : 1.1.0 Upstream Author : James Halliday (http://substack.net) * URL : https://github.com/substack/covert * License : Expat Programming Lang: JavaScript Description

[Pkg-javascript-devel] Bug#816191: RFS: node-function-bind/1.1.0-1 [RFP]

2016-02-28 Thread Ross Gammon
unction-bind.git/ Changes since the last upload: * Initial release (Closes: #814281) Regards, Ross Gammon -- System Information: Debian Release: 8.3 APT prefers stable APT policy: (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores) Locale: LANG=en_GB

[Pkg-javascript-devel] Bug#816195: RFP: node-jscs -- JavaScript Code Style

2016-02-28 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-jscs Version : 2.10.1 Upstream Author : Marat Dulin (https://github.com/jscs- dev/node-jscs/graphs/contributors) * URL : http://jscs.info * License : Expat Programming Lang: JavaScript

[Pkg-javascript-devel] Bug#818319: node-convert-source-map: Testsuite not enabled

2016-03-15 Thread Ross Gammon
Package: node-convert-source-map Version: 1.1.3-1 Severity: normal Dear Maintainer, Since inline-source-map is not packaged yet, the upstream tests cannot be run. Once inline-source-map gets packaged, we should enable the tests during the build process. -- System Information: Debian Release:

[Pkg-javascript-devel] Bug#818100: RFS: node-seq/0.3.5-1 [ITP]

2016-03-13 Thread Ross Gammon
release (Closes: #802008) Regards, Ross Gammon -- System Information: Debian Release: 8.3 APT prefers stable APT policy: (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores) Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) Shell: /bin/s

[Pkg-javascript-devel] Bug#818189: RFP: node-browserify-zlib -- Full zlib module for browserify

2016-03-14 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-browserify-zlib Version : 0.1.4 Upstream Author : Devon Govett * URL : https://github.com/devongovett/browserify-zlib * License : Expat Programming Lang: JavaScript Description

[Pkg-javascript-devel] Bug#818188: RFP: node-assert -- commonjs assert - node.js api compatible

2016-03-14 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-assert Version : 1.3.0 Upstream Author : Roman Shtylman [http://shtylman.com/] * URL : https://github.com/defunctzombie/commonjs-assert * License : Expat Programming Lang: JavaScript Description :

[Pkg-javascript-devel] Bug#742347: Bug#742347: overview of the tilemill situation and alternatives (mapbox, kosmtik)

2016-03-14 Thread Ross Gammon
Hi Antoine, Thanks for that excellent summary! It has cleared up a confusion that I had. More below: On 03/13/2016 04:40 PM, Antoine Beaupré wrote: > 1. Mapbox people have released a new product in september 2014 named > [Mapbox studio classic][]. the code is a > [still freely

[Pkg-javascript-devel] Bug#816552: RFS: node-json-localizer/0.0.3-1 [RFP]

2016-03-02 Thread Ross Gammon
nges since the last upload: * Initial release (Closes: #805413) Regards, Ross Gammon -- System Information: Debian Release: jessie/sid APT prefers wily-updates APT policy: (500, 'wily-updates'), (500, 'wily-security'), (500, 'wily'), (100, 'wily-backports') Architecture: amd64 (x86_6

[Pkg-javascript-devel] Bug#820291: node-seq: uninstallable in sid: Depends: node-chainsaw (< 0.1) but 0.1.0-1 is to be installed

2016-04-22 Thread Ross Gammon
Hi, I am not to worried about node-seq being removed from testing at the moment, as there are many other dependencies requiring packaging for browserify first. It looks like it is is not a simple matter of updating the Depends: field in debian/control. Cloning the upstream repo, merging some

[Pkg-javascript-devel] Bug#822256: RFP: node-expresso -- TDD framework, light-weight, fast, CI-friendly

2016-04-22 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-expresso Version : 0.9.2 Upstream Author : TJ Holowaychuk * URL : https://github.com/visionmedia/expresso * License : Expat Programming Lang: JavaScript Description : TDD

[Pkg-javascript-devel] Bug#822251: node-seq: Testsuite not being run - requires expresso to be packaged

2016-04-22 Thread Ross Gammon
Package: node-seq Version: 0.3.5-1 Severity: wishlist Dear Maintainer, The testsuite is not run at build time at the moment. Expresso needs to be packaged to enable the tests. Regards, Ross -- System Information: Debian Release: jessie/sid APT prefers wily-updates APT policy: (500,

Re: [Pkg-javascript-devel] lots of requests to join pkg-javascript

2017-01-31 Thread Ross Gammon
On 28/01/17 18:44, Pirate Praveen wrote: On ശനി 28 ജനുവരി 2017 10:21 വൈകു, Ross Gammon wrote: I was disappointed with this too. I think we should be encouraging newcomers to place their packaging in the standard place, so we can help them when required. The last thing we want is node-*/js

Re: [Pkg-javascript-devel] RFS : node-tty-browserify

2017-02-04 Thread Ross Gammon
On 03/02/17 11:55, Pirate Praveen wrote: On ചൊവ്വ 31 ജനുവരി 2017 10:13 വൈകു, Akash Sarda wrote: I have packaged, lintian cleaned, and ran sbuild. Please upload! :) Uploaded, thanks! Please request access to alioth and import your package to pkg-javascript team repo. Welcome to the team

Re: [Pkg-javascript-devel] pre-spring cleaning, please advise

2017-01-28 Thread Ross Gammon
On 01/28/2017 10:52 AM, Paolo Greppi wrote: > This is a good idea ! There is a lot of cruft, especially packages created > for some obscure reason 2-3 years ago and since then abandoned both by the > maintainer and by upstream, and superseded by the next cool thing in the > nodejs ecosystem. >

Re: [Pkg-javascript-devel] lots of requests to join pkg-javascript

2017-01-28 Thread Ross Gammon
Hi Pirate, On 01/27/2017 10:02 AM, Pirate Praveen wrote: > Thanks to a bug in npm2deb search which does not look in experimental > and our excellent on boarding practices which prefers keeping new git > repos out of team repo in alioth, people are duplicating work, packaging > already packaged

[Pkg-javascript-devel] Bug#855466: RFP: node-grunt-contrib-compass -- Compile Sass to CSS using Compass

2017-02-18 Thread Ross Gammon
Package: wnpp Severity: wishlist X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-grunt-contrib-compass Version : 1.1.1 Upstream Author : Grunt Team (http://gruntjs.com/) * URL : https://github.com/gruntjs/grunt-contrib-compass#readme *

[Pkg-javascript-devel] Bug#855469: RFP: node-dargs -- Convert options into an array of arguments

2017-02-18 Thread Ross Gammon
Package: wnpp Severity: wishlist X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-dargs Version : 5.1.0 Upstream Author : Sindre Sorhus (sindresorhus.com) * URL : https://github.com/sindresorhus/dargs#readme *

[Pkg-javascript-devel] Bug#855471: RFP: node-bin-version-check -- Check whether a version satisfies a semver range

2017-02-18 Thread Ross Gammon
Package: wnpp Severity: wishlist X-Debbugs-CC: pkg-javascript-devel@lists.alioth.debian.org * Package name: node-bin-version-check Version : 3.0.0 Upstream Author : Sindre Sorhus (sindresorhus.com) * URL :

[Pkg-javascript-devel] Fwd: Request to Join Project Debian JavaScript Maintainers from Nikhil Gawande (nikhilgawande-guest)

2017-02-15 Thread Ross Gammon
Welcome Nikhil! If you have not already, please read the Debian Javascript Team policy: pkg-javascript-devel@lists.alioth.debian.org Forwarded Message Subject: Request to Join Project Debian JavaScript Maintainers from Nikhil Gawande (nikhilgawande-guest) Date: Tue, 14 Feb

[Pkg-javascript-devel] Bug#818319: node-convert-source-map testsuite failing

2016-09-03 Thread Ross Gammon
tags 818319 upstream forwarded 818319 https://github.com/thlorenz/convert-source-map/issues/36 thanks So, inline-source-map is now in unstable. Unfortunately, the testsuite in the latest version of convert-source-map fails with this version of inline-source-map. I will eventually come back and

[Pkg-javascript-devel] Bug#836569: RFS: node-js-yaml/3.6.1+dfsg-1 [RFP]

2016-09-04 Thread Ross Gammon
s since the last upload: * Initial release (Closes: #805411) Regards, Ross Gammon -- System Information: Debian Release: stretch/sid APT prefers xenial-updates APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500, 'xenial'), (100, 'xenial-backports') Architecture: amd64

Re: [Pkg-javascript-devel] Comments regarding node-js-yaml_3.6.1+dfsg-1_amd64.changes

2016-09-09 Thread Ross Gammon
Whoops. Thanks Chris. On 09/08/2016 10:52 AM, Chris Lamb wrote: > Please clarify support/demo_template/base64.js in d/copyright on next upload. > > -- Chris Lamb Thu, 08 Sep 2016 08:52:19 + Fixed in git. Regards, Ross -- Pkg-javascript-devel mailing list

[Pkg-javascript-devel] Bug#835671: RFS: node-inline-source-map/0.6.1-1 [ITP]

2016-08-28 Thread Ross Gammon
onscm.debian.org/cgit/pkg-javascript/node-inline-source-map.git Changes since the last upload: * Initial release (Closes: #795114) Regards, Ross Gammon -- System Information: Debian Release: stretch/sid APT prefers xenial-updates APT policy: (500, 'xenial-updates'), (500, 'xenial-

[Pkg-javascript-devel] Bug#844009: node-semver: Please package latest node-semver

2016-11-11 Thread Ross Gammon
Package: node-semver Version: 2.1.0-2 Severity: wishlist Dear Maintainer, I am packaging node-kosmtick, and this requires at least version 5.0.3 of node- semver. The latest version released by upstream is 5.3.0, and the current version in unstable is 2.1.0. There are only a few reverse

[Pkg-javascript-devel] Bug#844014: node-js-yaml

2016-11-11 Thread Ross Gammon
Package: node-js-yaml Version: 3.6.1+dfsg-1 Severity: grave Justification: renders package unusable Dear Maintainer, Node-js-yaml is currently uninstallable in unstable due to a tight dependency on node-esprima (< 3.0.0), when the current version of node-esprima in unstable is 3.1.0. The

[Pkg-javascript-devel] Bug#844922: Node-string-decoder

2016-11-22 Thread Ross Gammon
Hi, This node module was originally packaged as it was a dependency of something (I can't remember). If there is nothing depending on it, we should probably remove it from the archive. The string-decoder function from the core nodejs should be used instead (patching the module that needs it

[Pkg-javascript-devel] Bug#844938: The new node-tap is causing FTBFS in node-inline-source-map

2016-11-23 Thread Ross Gammon
tag 844938 + upstream forwarded 844938 https://github.com/thlorenz/inline-source-map/issues/18 thanks Hi, I have just investigated what has changed that might be causing this failure of the upstream testsuite, and it appears to be the recent update of node-tap to Version 8.0.0. The bug has been

[Pkg-javascript-devel] Bug#844938: The new node-tap is causing FTBFS in node-inline-source-map

2016-11-24 Thread Ross Gammon
On 11/23/2016 11:43 PM, Jérémy Lal wrote: > 2016-11-23 21:47 GMT+01:00 Ross Gammon <r...@the-gammons.net>: >> tag 844938 + upstream >> forwarded 844938 https://github.com/thlorenz/inline-source-map/issues/18 >> thanks >> >> Hi, >> >> I have just

[Pkg-javascript-devel] Bug#844922: Bug#844922: Bug#844922: Node-string-decoder

2016-11-23 Thread Ross Gammon
On 11/23/2016 08:59 AM, Jérémy Lal wrote: > 2016-11-23 8:53 GMT+01:00 Ross Gammon <r...@the-gammons.net>: >> Hi, >> >> This node module was originally packaged as it was a dependency of something >> (I can't remember). >> >> If there is nothing depen

[Pkg-javascript-devel] Bug#844545: RFP: node-yargs -- a modern, pirate-themed, successor to optimist

2016-11-16 Thread Ross Gammon
Package: wnpp Severity: wishlist * Package name: node-yargs Version : 6.4.0 Upstream Author : Benjamin E. Coe * URL : http://yargs.js.org/ * License : Expat Programming Lang: JavaScript Description : a modern, pirate-themed, successor

[Pkg-javascript-devel] Bug#844565: RFS: node-husl/6.0.1+dfsg-1 [ITP]

2016-11-16 Thread Ross Gammon
the last upload: * Initial release (Closes: #844230) Regards, Ross Gammon -- System Information: Debian Release: stretch/sid APT prefers xenial-updates APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500, 'xenial'), (100, 'xenial-backports') Architecture: amd64 (x86_64) Foreign Arc

[Pkg-javascript-devel] Bug#844995: RFS: node-object-inspect/1.1.0-1 [RFP]

2016-11-19 Thread Ross Gammon
ian.org/cgit/pkg-javascript/node-object-ispect.git Changes since the last upload: * Initial release (Closes: #814284) Regards, Ross Gammon -- System Information: Debian Release: stretch/sid APT prefers xenial-updates APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500,

[Pkg-javascript-devel] Bug#845012: grunt: Grunt is missing the rimraf dependency

2016-11-19 Thread Ross Gammon
uite simple, so forgive me if I don't provide a patch :-) Regards, Ross Gammon -- System Information: Debian Release: stretch/sid APT prefers xenial-updates APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500, 'xenial'), (100, 'xenial-backports') Architecture: amd64 (x8

[Pkg-javascript-devel] Bug#844079: node-generic-pool: Please package latest node-generic-pool

2016-11-12 Thread Ross Gammon
Package: node-generic-pool Version: 2.0.3-1 Severity: wishlist Dear Maintainer, I am trying to package the latest node-kosmtik, and it depends on node-generic- pool (>= 2.2.0). Currently Debian has 2.0.3-1, and upstream has released 3.1.1. Current rdepends (which would have to be checked):

[Pkg-javascript-devel] Bug#844014: node-js-yaml

2016-11-11 Thread Ross Gammon
(previous sponsor) for DM upload rights to do it. Cheers, Ross On 12/11/16 00:25, Jérémy Lal wrote: 2016-11-11 20:48 GMT+01:00 Ross Gammon <rossgam...@mail.dk <mailto:rossgam...@mail.dk>>: Package: node-js-yaml Version: 3.6.1+dfsg-1 Severity: grave Justificat

[Pkg-javascript-devel] Bug#826560: kosmtik needs newer node-carto as well

2016-11-12 Thread Ross Gammon
Hi, I am packaging node-kosmtik which also needs a newer node-carto version (>= 0.15.2). If I can help with preparing an upload, I am happy to help out. Node-mapnik seems to be the only current reverse dependency. Regards, Ross signature.asc Description: OpenPGP digital signature --

[Pkg-javascript-devel] Bug#844075: leaflet: Please provide the latest Leaflet package including a node module

2016-11-12 Thread Ross Gammon
Source: leaflet Version: 0.7.7+20160312-1 Severity: wishlist Dear Maintainer, I am trying to finalise the packaging of the new kosmtik package, but it requires a newer version of Leaflet (>= 1.0.0-beta.2) including the node module. Debian currently has version 0.7.7+20160312-1, and 1.0.1 has

Re: [Pkg-javascript-devel] Bug#844014: node-js-yaml

2016-11-12 Thread Ross Gammon
On 11/12/2016 09:17 AM, Jérémy Lal wrote: > Putting back in the right order... > > On 12/11/16 00:25, Jérémy Lal wrote: > >> >> >> 2016-11-11 20:48 GMT+01:00 Ross Gammon <rossgam...@mail.dk >> <mailto:rossgam...@mail.dk>>: >&g

[Pkg-javascript-devel] Bug#844072: node-request: Please upload the latest version of node-request

2016-11-12 Thread Ross Gammon
Package: node-request Version: 2.26.1-1 Severity: wishlist Dear Maintainer, I am working on finalising the new kosmtik package, and it depends on node- request (>= 2.64.0). Currently only 2.26.1 is in Debian, and upstream have released 2.78.1. Would it be possible to have a new version? I can

Re: [Pkg-javascript-devel] RFS: node-loose-envify 1.3.0

2016-12-10 Thread Ross Gammon
On 12/10/2016 07:26 AM, Paolo Greppi wrote: > The most popular suffix separator for dfsg is + (694 times), last comes > ~dfsg (79 times) and finally -dfsg (15 times). > > ? ~ sorts before [a-z], + sorts after [a-z] I have used 1.2.3-1~exp1 sometimes, because then I can use 1.2.3-1 for the next

Re: [Pkg-javascript-devel] Bug#798278: Node-tape depends on node-has which is very small

2016-12-09 Thread Ross Gammon
t; > following the falafel dependencies we get rollup and acorn as > dependencies, those are very complicating packaging. > > > On 04-12-2016 06:33, Ross Gammon wrote: >> Hi Lucas, >> >> How are you getting on with node-tape? We only have a month to get it int

[Pkg-javascript-devel] Bug#848507: node-acorn: Acorn does not build walk

2016-12-17 Thread Ross Gammon
Package: node-acorn Version: 4.0.3-2 Severity: normal Dear Maintainer, I am trying to package node-bluebird, and I was very glad to see your work on acorn, and to see it make it into the archive. Acorn is needed to build bluebird. Unfortunately, bluebird cannot find "walk" which is part of

[Pkg-javascript-devel] Node-tape depends on node-has which is very small

2016-12-04 Thread Ross Gammon
Hi Lucas, How are you getting on with node-tape? We only have a month to get it into Debian Stretch. For your information, the only dependency left for node-tape (as far as I know) is node-has. Node has consists of the following two lines of code: var bind = require('function-bind');

Re: [Pkg-javascript-devel] lots of requests to join pkg-javascript

2017-01-07 Thread Ross Gammon
Hi All, Sorry - I am a bit late to this. I have had problems with my javascript email address, and I am now using a new one here. On 01/06/2017 07:21 AM, Pirate Praveen wrote: > I have asked them to push their work to git.fosscommunity.in and send > RFS mails to this list. Those who institute

Re: [Pkg-javascript-devel] Using clean build scripts from pkg-ruby-extras repo

2016-12-31 Thread Ross Gammon
Hi all, On 29/11/16 12:20, Antonio Terceiro wrote: > On Mon, Nov 28, 2016 at 10:44:08PM +0530, Pirate Praveen wrote: >> On 2016, നവംബർ 28 10:27:15 PM IST, Paolo Greppi >> wrote: >>> Hi this is opinionated but very useful. I have a couple of newbie >>> questions. >>> >>>

Re: [Pkg-javascript-devel] Bug#848912: RFS: node-file-sync-cmp/0.1.1-1 [ITP]

2016-12-31 Thread Ross Gammon
Thank Pirate. Once I have managed to get ruby-extras set up (on Jessie), I will start enabling the upstream testsuites for debci for my other packages as well. Ross On 22/12/16 06:57, Pirate Praveen wrote: > On ബുധന്‍ 21 ഡിസംബര്‍ 2016 12:14 രാവിലെ, Ross Gammon wrote: >> Alternatively

[Pkg-javascript-devel] Bug#848912: RFS: node-file-sync-cmp/0.1.1-1 [ITP]

2016-12-20 Thread Ross Gammon
t/pkg-javascript/node-file-sync-cmp.git Changes since the last upload: * Initial release (Closes: #845025) Regards, Ross Gammon -- System Information: Debian Release: stretch/sid APT prefers xenial-updates APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500, 'xenial'

  1   2   >